//
// nono
// Copyright (C) 2020 nono project
// Licensed under nono-license.txt
//

//
// プリンタポート
//

#pragma once

#include "device.h"

class PrinterDevice : public IODevice
{
	using inherited = IODevice;

	static const int baseaddr = 0xe8c000;

 public:
	PrinterDevice();
	~PrinterDevice() override;

	busdata Read8(uint32 addr) override;
	busdata Read16(uint32 addr) override;
	busdata Write8(uint32 addr, uint32 data) override;
	busdata Write16(uint32 addr, uint32 data) override;
	busdata Peek8(uint32 addr) override;
};
