//
// nono
// Copyright (C) 2024 nono project
// Licensed under nono-license.txt
//

//
// QEMU Virtual System Controller
//

#pragma once

#include "device.h"

class QemuSysCtlrDevice : public IODevice
{
	using inherited = IODevice;

	static const uint32 FEATURES = 0x00000001;

 public:
	QemuSysCtlrDevice();
	~QemuSysCtlrDevice() override;

	busdata Read32(uint32 addr) override;
	busdata Write32(uint32 addr,  uint32 data) override;
	busdata Peek8(uint32 addr) override;
};
